<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotUnifiedResponseMutation;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MediaDetailsMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $id = null;
    


    protected $highResMedia = null;
    


    protected $previewMedia = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getId()
    {
        return isset($this->id) ? $this->id : '';
    }

    public function hasId()
    {
        return isset($this->id);
    }

    public function clearId()
    {
        unset($this->id);
    }

    




    public function setId($var)
    {
        GPBUtil::checkString($var, True);
        $this->id = $var;

        return $this;
    }

    



    public function getHighResMedia()
    {
        return $this->highResMedia;
    }

    public function hasHighResMedia()
    {
        return isset($this->highResMedia);
    }

    public function clearHighResMedia()
    {
        unset($this->highResMedia);
    }

    




    public function setHighResMedia($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\BotMediaMetadata::class);
        $this->highResMedia = $var;

        return $this;
    }

    



    public function getPreviewMedia()
    {
        return $this->previewMedia;
    }

    public function hasPreviewMedia()
    {
        return isset($this->previewMedia);
    }

    public function clearPreviewMedia()
    {
        unset($this->previewMedia);
    }

    




    public function setPreviewMedia($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\BotMediaMetadata::class);
        $this->previewMedia = $var;

        return $this;
    }

}

